SystemOrganization addCategory: #ConfigurationOfXMLParserStAX!

Object subclass: #ConfigurationOfXMLParserStAX
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfXMLParserStAX'!

!ConfigurationOfXMLParserStAX commentStamp: 'monty 3/18/2015 02:19' prior: 0!
ConfigurationOfXMLParserStAX load
 !

!ConfigurationOfXMLParserStAX class methodsFor: 'development support' stamp: 'monty 3/18/2015 00:00'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfXMLParserStAX class methodsFor: 'private' stamp: 'monty 3/18/2015 00:00'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfXMLParserStAX class methodsFor: 'catalog' stamp: 'monty 3/24/2015 21:20'!
catalogDescription

^ 'XMLParserStAX is a pull-parser based on XMLParser that provides a stream-like interface to parsing XML and also supports partial DOM construction.'! !

!ConfigurationOfXMLParserStAX class methodsFor: 'catalog' stamp: 'monty 3/24/2015 21:19'!
catalogKeyClassesAndExample

	^ 'The main classes are ==StAXParser== and the ==StAXEvent== subclasses.

Examples:
[[[ 
	"get first book element as an XMLElement object:"
	element := 
		(parser := StAXParser on: xml)
			skipUntil: [parser peek isStartTag: ''book''];
			nextDOM.
]]]'! !

!ConfigurationOfXMLParserStAX class methodsFor: 'catalog' stamp: 'monty 4/7/2015 06:15'!
catalogKeywords

	^ #( XML DOM StAX DTD HTML XHTML pull parser #'pull-parser' validation web markup document )! !

!ConfigurationOfXMLParserStAX class methodsFor: 'private' stamp: 'monty 3/18/2015 00:00'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfXMLParserStAX class methodsFor: 'private' stamp: 'monty 3/18/2015 00:00'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfXMLParserStAX class methodsFor: 'metacello tool support' stamp: 'monty 3/18/2015 00:00'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfXMLParserStAX class methodsFor: 'loading' stamp: 'monty 3/18/2015 00:00'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfXMLParserStAX class methodsFor: 'loading' stamp: 'monty 3/18/2015 00:00'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfXMLParserStAX class methodsFor: 'loading' stamp: 'monty 3/18/2015 00:00'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfXMLParserStAX class methodsFor: 'accessing' stamp: 'monty 3/18/2015 00:00'!
project

	^self new project! !

!ConfigurationOfXMLParserStAX class methodsFor: 'development support' stamp: 'monty 3/18/2015 00:00'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfXMLParserStAX methodsFor: 'baselines' stamp: 'monty 3/18/2015 02:19'!
baseline100: spec 
	<version: '1.0.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://www.smalltalkhub.com/mc/PharoExtras/XMLParser/main'.
		spec project: 'XMLParser' with: [ 
			spec
				className: 'ConfigurationOfXMLParser';
				loads: #('default');	
				versionString: #'stable';
				repository: 'http://www.smalltalkhub.com/mc/PharoExtras/XMLParser/main' ].
		spec package: 'XML-Parser-StAX-Core' with: [ spec requires: 'XMLParser' ].
		spec package: 'XML-Parser-StAX-Tests' with: [ spec requires: 'XML-Parser-StAX-Core' ].
		spec
			group: 'default' with: #('Core' 'Tests');
			group: 'Core' with: #('XML-Parser-StAX-Core');
			group: 'Tests' with: #('XML-Parser-StAX-Tests')]! !

!ConfigurationOfXMLParserStAX methodsFor: 'accessing' stamp: 'monty 3/18/2015 00:00'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfXMLParserStAX methodsFor: 'symbolic versions' stamp: 'monty 3/18/2015 23:10'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.0.0-baseline'.! !

!ConfigurationOfXMLParserStAX methodsFor: 'accessing' stamp: 'monty 3/18/2015 00:00'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfXMLParserStAX methodsFor: 'symbolic versions' stamp: 'monty 4/7/2015 06:15'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0.9'.
! !

!ConfigurationOfXMLParserStAX methodsFor: 'versions' stamp: 'monty 3/18/2015 23:09'!
version100: spec 
        <version: '1.0.0' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Parser-StAX-Core' with: 'XML-Parser-StAX-Core-monty.2'.
			spec package: 'XML-Parser-StAX-Tests' with: 'XML-Parser-StAX-Tests-monty.1'.
                ].! !

!ConfigurationOfXMLParserStAX methodsFor: 'versions' stamp: 'monty 3/18/2015 23:53'!
version101: spec 
        <version: '1.0.1' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Parser-StAX-Core' with: 'XML-Parser-StAX-Core-monty.3'.
			spec package: 'XML-Parser-StAX-Tests' with: 'XML-Parser-StAX-Tests-monty.2'.
                ].! !

!ConfigurationOfXMLParserStAX methodsFor: 'versions' stamp: 'monty 3/20/2015 01:43'!
version102: spec 
        <version: '1.0.2' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Parser-StAX-Core' with: 'XML-Parser-StAX-Core-monty.4'.
			spec package: 'XML-Parser-StAX-Tests' with: 'XML-Parser-StAX-Tests-monty.3'.
                ].! !

!ConfigurationOfXMLParserStAX methodsFor: 'versions' stamp: 'monty 3/21/2015 01:38'!
version103: spec 
        <version: '1.0.3' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Parser-StAX-Core' with: 'XML-Parser-StAX-Core-monty.5'.
			spec package: 'XML-Parser-StAX-Tests' with: 'XML-Parser-StAX-Tests-monty.4'.
                ].! !

!ConfigurationOfXMLParserStAX methodsFor: 'versions' stamp: 'monty 3/22/2015 02:28'!
version104: spec 
        <version: '1.0.4' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Parser-StAX-Core' with: 'XML-Parser-StAX-Core-monty.6'.
			spec package: 'XML-Parser-StAX-Tests' with: 'XML-Parser-StAX-Tests-monty.5'.
                ].! !

!ConfigurationOfXMLParserStAX methodsFor: 'versions' stamp: 'monty 3/22/2015 22:44'!
version105: spec 
        <version: '1.0.5' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Parser-StAX-Core' with: 'XML-Parser-StAX-Core-monty.7'.
			spec package: 'XML-Parser-StAX-Tests' with: 'XML-Parser-StAX-Tests-monty.6'.
                ].! !

!ConfigurationOfXMLParserStAX methodsFor: 'versions' stamp: 'monty 3/23/2015 03:31'!
version106: spec 
        <version: '1.0.6' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Parser-StAX-Core' with: 'XML-Parser-StAX-Core-monty.7'.
			spec package: 'XML-Parser-StAX-Tests' with: 'XML-Parser-StAX-Tests-monty.7'.
                ].! !

!ConfigurationOfXMLParserStAX methodsFor: 'versions' stamp: 'monty 3/24/2015 18:14'!
version107: spec 
        <version: '1.0.7' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Parser-StAX-Core' with: 'XML-Parser-StAX-Core-monty.8'.
			spec package: 'XML-Parser-StAX-Tests' with: 'XML-Parser-StAX-Tests-monty.8'.
                ].! !

!ConfigurationOfXMLParserStAX methodsFor: 'versions' stamp: 'monty 3/24/2015 21:18'!
version108: spec 
        <version: '1.0.8' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Parser-StAX-Core' with: 'XML-Parser-StAX-Core-monty.9'.
			spec package: 'XML-Parser-StAX-Tests' with: 'XML-Parser-StAX-Tests-monty.8'.
                ].! !

!ConfigurationOfXMLParserStAX methodsFor: 'versions' stamp: 'monty 4/7/2015 06:13'!
version109: spec 
        <version: '1.0.9' imports: #('1.0.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'XML-Parser-StAX-Core' with: 'XML-Parser-StAX-Core-monty.10'.
			spec package: 'XML-Parser-StAX-Tests' with: 'XML-Parser-StAX-Tests-monty.8'.
                ].! !
